# Uses of Interface
org.xnio.IoFuture.Notifier

Packages that use IoFuture.Notifier
Package
Description
org.xnio
The main API package for XNIO.
org.xnio._private

## Uses of IoFuture.Notifier in org.xnio

Classes in org.xnio that implement IoFuture.Notifier
Modifier and Type
Class
Description
`static class`
`IoFuture.HandlingNotifier<T,A>`
A base notifier class that calls the designated handler method on notification.
Methods in org.xnio that return IoFuture.Notifier
Modifier and Type
Method
Description
`static IoFuture.Notifier<Object,Closeable>`
IoUtils.`attachmentClosingNotifier()`
Get a notifier that closes the attachment.
`static <T extends Channel>
IoFuture.Notifier<T,ChannelListener<? super T>>`
IoUtils.`channelListenerNotifier()`
Get the notifier that invokes the channel listener given as an attachment.
`static IoFuture.Notifier<Closeable,Void>`
IoUtils.`closingNotifier()`
Get a notifier that closes the result.
`static <T> IoFuture.Notifier<T,FutureResult<T>>`
IoUtils.`getManagerNotifier()`
Get a notifier which forwards the result to another `IoFuture`'s manager.
`static <T> IoFuture.Notifier<T,Result<T>>`
IoUtils.`resultNotifier()`
Get the result notifier.
`static <T> IoFuture.Notifier<T,Void>`
IoUtils.`runnableNotifier(Runnable runnable)`
Get a notifier that runs the supplied action.
Methods in org.xnio with parameters of type IoFuture.Notifier
Modifier and Type
Method
Description
`<A> IoFuture<T>`
AbstractConvertingIoFuture.`addNotifier(IoFuture.Notifier<? super T,A> notifier, A attachment)`
`<A> IoFuture<T>`
AbstractIoFuture.`addNotifier(IoFuture.Notifier<? super T,A> notifier, A attachment)`
Add a notifier to be called when this operation is complete.
`<A> IoFuture<T>`
FinishedIoFuture.`addNotifier(IoFuture.Notifier<? super T,A> notifier, A attachment)`
`<A> IoFuture<T>`
IoFuture.`addNotifier(IoFuture.Notifier<? super T,A> notifier, A attachment)`
Add a notifier to be called when this operation is complete.

## Uses of IoFuture.Notifier in org.xnio._private

Methods in org.xnio._private with parameters of type IoFuture.Notifier
Modifier and Type
Method
Description
`final void`
Messages_$logger.`notifierFailed(Throwable cause, IoFuture.Notifier<?,?> notifier, Object attachment)`
`void`
Messages.`notifierFailed(Throwable cause, IoFuture.Notifier<?,?> notifier, Object attachment)`